backgroundimage {
    opacity: 0.5;
    /* Remove the background-color property from here */
}



/* tues 13/2 version 2 --- this is the general aviation questions page, solid blue, #454B1B */
.b1-pushable {
    position: relative;
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    outline-offset: 4px;
    transition: filter 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.b1-front {
    display: block;
    position: relative;
    padding: 12px 27px;
    width: 170px; /* Adjust width for desired button width */
    height: 30px; /* Adjust height for desired button height */
    border-radius: 12px;
    font-size: 1.3rem;
    color: white;
    background: linear-gradient(to bottom, #9b111e 0%, #e74c3c 50%, #9b111e 60%); /* Red ruby gradient */
    box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.6); /* Adjust the box shadow color if needed */

    will-change: transform;
    transform: translateY(-4px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.b1-edge {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: #9b111e; /* Red ruby color */
}

.b1-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: hsl(0deg 0% 0% / 0.5); /* Adjust the shadow color if needed */
    will-change: transform;
    transform: translateY(3px);
    transition: transform 600ms cubic-bezier(0.3, 0.7, 0.4, 1);
}



.b1-pushable:hover {
    filter: brightness(110%);
    -webkit-filter: brightness(110%);
}

    .b1-pushable:hover .b1-front {
        transform: translateY(-6px);
        transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
    }

.b1-pushable:active .b1-front {
    transform: translateY(-2px);
    transition: transform 34ms;
}

.b1-pushable:hover .b1-shadow {
    transform: translateY(10px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.b1-pushable:active .b1-shadow {
    transform: translateY(1px);
    transition: transform 34ms;
}

.b1-pushable:focus:not(:focus-visible) {
    outline: none;
}


@media (min-width: 768px) {
    .button-1-front {
        font-size: 1.25rem;
        padding: 12px 42px;
    }
}
